# ============================================================================= #
# >> Useful Information About The Plugin
# ============================================================================= #
# This plugin adds a popup menu whenever a player uses the !info command.
# The menu contains;
# - Server Name
# - Server Owner
# - Website Link
# - Clan Name
# ============================================================================= #
# >> Imports
# ============================================================================= #
import cmdlib
import es
import cfglib
import popuplib
from es import AddonInfo, getAddonPath
# ============================================================================= #
# >> Addon Information
# ============================================================================= #
info = es.AddonInfo()
info.name     = "Basic Server Information"
info.version  = "1.0"
info.url      = "Coming Soon"
info.author   = "Fridge"
info.description = "This plugin adds a popup menu whenever a player uses the !info command."
# ============================================================================= #
# >> Config
# ============================================================================= #
config = cfglib.AddonCFG(es.getAddonPath("serverinfo") + "/config.cfg")

config.text("******************************")
config.text("  Server Information Cvar")
config.text("******************************")

server_name     = config.cvar("server_name",     " ", "The name of your server")
owner_name      = config.cvar("owner_name",      " ", "The name of the server owner")
website_link    = config.cvar("website_link",    " ", "Website link")
clan_name       = config.cvar("clan_name",       " ", "Enter your clan name")

config.write()
# ============================================================================= #
# >> Load & Unload
# ============================================================================= #
def load():
    es.msg('#multi', "\x07FF9933[\x07FF6633Basic Server Info\x0786F024\x07FF9933] \x0786F024 has been loaded.")
    cmdlib.registerSayCommand('!info', serverInfo, "Opens a popup")
    config.execute()

def unload():
    es.msg('#multi', "\x07FF9933[\x07FF6633Basic Server Info\x0786F024\x07FF9933] \x0786F024 has been unloaded.")
    cmdlib.unregisterSayCommand('!info')
    if popuplib.exists('user_menu'):
        popuplib.delete('user_menu')

def serverInfo(userid, args):
    if popuplib.exists('user_menu'):
        popuplib.delete('user_menu')
    menu = popuplib.create('user_menu')
    menu.addline('This server runs %s' %info.name)
    menu.addline('- by %s' %info.author)
    menu.addline('----------------')
    menu.addline('->1 Server Name: %s' %server_name)
    menu.addline('----------------')
    menu.addline('->2 Server Owner: %s' %owner_name)
    menu.addline('----------------')
    menu.addline('->3 Website: %s' %website_link)
    menu.addline('----------------')
    menu.addline('->4 Clan Name: %s' %clan_name)
    menu.addline('----------------')
    menu.addline('->0. Close')
    menu.send(userid)